Closed Bug 1540336 Opened 8 months ago Closed 26 days ago

Intermittent browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Correct local date displayed -

Categories

(Firefox :: Security, defect, P5)

defect

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, regression)

#[markdown(off)]
Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=237020710&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/E8rzFG3MRZO_8Y9QuklAzQ/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-29T23:59:58.246Z] 23:59:58 INFO - TEST-START | browser/base/content/test/about/browser_aboutCertError_clockSkew.js
[task 2019-03-29T23:59:58.283Z] 23:59:58 INFO - GECKO(22635) | ++DOMWINDOW == 2 (0x7fd9f0896000) [pid = 22753] [serial = 2] [outer = 0x7fd9f06f9f20]
[task 2019-03-29T23:59:58.460Z] 23:59:58 INFO - GECKO(22635) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmp53gtH5.mozrunner/runtests_leaks_tab_pid22808.log
[task 2019-03-29T23:59:58.639Z] 23:59:58 INFO - GECKO(22635) | [Parent 22635, Main Thread] WARNING: '!mSelection', file /builds/worker/workspace/build/src/editor/libeditor/EditorBase.cpp, line 4917
[task 2019-03-29T23:59:58.640Z] 23:59:58 INFO - GECKO(22635) | [Parent 22635, Main Thread] WARNING: '!editActionData.CanHandle()', file /builds/worker/workspace/build/src/editor/libeditor/EditorBase.cpp, line 1292
[task 2019-03-29T23:59:58.768Z] 23:59:58 INFO - GECKO(22635) | [Parent 22635, Main Thread] WARNING: '!parent', file /builds/worker/workspace/build/src/netwerk/ipc/NeckoParent.cpp, line 955
[task 2019-03-29T23:59:58.832Z] 23:59:58 INFO - GECKO(22635) | Couldn't convert chrome URL: chrome://branding/locale/brand.properties
[task 2019-03-29T23:59:58.834Z] 23:59:58 INFO - GECKO(22635) | [Child 22808, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/netwerk/base/nsIOService.cpp, line 942
[task 2019-03-29T23:59:59.155Z] 23:59:59 INFO - GECKO(22635) | ++DOCSHELL 0x7f5cfaea4000 == 1 [pid = 22808] [id = {5f7ae500-4ebe-49da-9819-15f6c4680d31}]
[task 2019-03-29T23:59:59.237Z] 23:59:59 INFO - GECKO(22635) | ++DOMWINDOW == 1 (0x7f5cfaea6d40) [pid = 22808] [serial = 1] [outer = (nil)]
[task 2019-03-29T23:59:59.376Z] 23:59:59 INFO - GECKO(22635) | ++DOMWINDOW == 2 (0x7f5cfbc65800) [pid = 22808] [serial = 2] [outer = 0x7f5cfaea6d40]
[task 2019-03-30T00:00:00.141Z] 00:00:00 INFO - GECKO(22635) | ++DOMWINDOW == 3 (0x7f5cfbd5f800) [pid = 22808] [serial = 3] [outer = 0x7f5cfaea6d40]
[task 2019-03-30T00:00:00.743Z] 00:00:00 INFO - GECKO(22635) | ### XPCOM_MEM_BLOAT_LOG defined -- logging bloat/leaks to /tmp/tmp53gtH5.mozrunner/runtests_leaks_tab_pid22846.log
[task 2019-03-30T00:00:00.819Z] 00:00:00 INFO - TEST-INFO | started process screentopng
[task 2019-03-30T00:00:01.907Z] 00:00:01 INFO - TEST-INFO | screentopng: exit 0
[task 2019-03-30T00:00:01.909Z] 00:00:01 INFO - Buffered messages logged at 23:59:58
[task 2019-03-30T00:00:01.911Z] 00:00:01 INFO - Entering test bound checkWrongSystemTimeWarning
[task 2019-03-30T00:00:01.912Z] 00:00:01 INFO - Loading a bad cert page with a skewed clock
[task 2019-03-30T00:00:01.915Z] 00:00:01 INFO - Console message: [JavaScript Error: "TypeError: reply[0] is undefined" {file: "chrome://marionette/content/listener.js" line: 453}]
[task 2019-03-30T00:00:01.917Z] 00:00:01 INFO - Buffered messages logged at 23:59:59
[task 2019-03-30T00:00:01.918Z] 00:00:01 INFO - Loading and waiting for the cert error
[task 2019-03-30T00:00:01.920Z] 00:00:01 INFO - Buffered messages logged at 00:00:00
[task 2019-03-30T00:00:01.921Z] 00:00:01 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Wrong time message information is visible -
[task 2019-03-30T00:00:01.922Z] 00:00:01 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Correct error message found -
[task 2019-03-30T00:00:01.923Z] 00:00:01 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | URL found in error message -
[task 2019-03-30T00:00:01.928Z] 00:00:01 INFO - Buffered messages finished
[task 2019-03-30T00:00:01.930Z] 00:00:01 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Correct local date displayed -
[task 2019-03-30T00:00:01.931Z] 00:00:01 INFO - Stack trace:
[task 2019-03-30T00:00:01.932Z] 00:00:01 INFO - chrome://mochikit/content/browser-test.js:test_ok:1304
[task 2019-03-30T00:00:01.934Z] 00:00:01 INFO - chrome://mochitests/content/browser/browser/base/content/test/about/browser_aboutCertError_clockSkew.js:checkWrongSystemTimeWarning:73
[task 2019-03-30T00:00:01.935Z] 00:00:01 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1106
[task 2019-03-30T00:00:01.937Z] 00:00:01 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
[task 2019-03-30T00:00:01.938Z] 00:00:01 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
[task 2019-03-30T00:00:01.940Z] 00:00:01 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
[task 2019-03-30T00:00:01.941Z] 00:00:01 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | time-errors in the Learn More URL -
[task 2019-03-30T00:00:01.942Z] 00:00:01 INFO - Leaving test bound checkWrongSystemTimeWarning
[task 2019-03-30T00:00:01.943Z] 00:00:01 INFO - GECKO(22635) | MEMORY STAT vsizeMaxContiguous not supported in this build configuration.
[task 2019-03-30T00:00:01.944Z] 00:00:01 INFO - GECKO(22635) | MEMORY STAT | vsize 1780MB | residentFast 359MB | heapAllocated 136MB
[task 2019-03-30T00:00:01.945Z] 00:00:01 INFO - TEST-OK | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | took 2860ms

Component: General → Security
Duplicate of this bug: 1540328
Status: NEW → RESOLVED
Closed: 7 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 7 months ago3 months ago
Resolution: --- → INCOMPLETE

This is still happening.

Recent failure: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=268987558&repo=mozilla-central&lineNumber=1183

[task 2019-09-29T23:59:59.618Z] 23:59:59 INFO - TEST-START | browser/base/content/test/about/browser_aboutCertError_clockSkew.js
[task 2019-09-30T00:00:00.156Z] 00:00:00 INFO - TEST-INFO | started process screenshot
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - TEST-INFO | screenshot: exit 0
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - Buffered messages logged at 23:59:59
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - Entering test bound checkWrongSystemTimeWarning
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - Loading a bad cert page with a skewed clock
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - Buffered messages logged at 00:00:00
[task 2019-09-30T00:00:00.379Z] 00:00:00 INFO - Loading and waiting for the cert error
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Wrong time message information is visible -
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Correct error message found -
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | URL found in error message -
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - Buffered messages finished
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | Correct local date displayed -
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - Stack trace:
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - chrome://mochikit/content/browser-test.js:test_ok:1580
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - chrome://mochitests/content/browser/browser/base/content/test/about/browser_aboutCertError_clockSkew.js:checkWrongSystemTimeWarning:94
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1350
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1385
[task 2019-09-30T00:00:00.380Z] 00:00:00 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1213
[task 2019-09-30T00:00:00.381Z] 00:00:00 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:805
[task 2019-09-30T00:00:00.381Z] 00:00:00 INFO - TEST-PASS | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | time-errors in the Learn More URL -
[task 2019-09-30T00:00:00.381Z] 00:00:00 INFO - Leaving test bound checkWrongSystemTimeWarning
[task 2019-09-30T00:00:00.381Z] 00:00:00 INFO - GECKO(9420) | MEMORY STAT | vsize 19406180MB | vsizeMaxContiguous 65048033MB | residentFast 1003MB
[task 2019-09-30T00:00:00.381Z] 00:00:00 INFO - TEST-OK | browser/base/content/test/about/browser_aboutCertError_clockSkew.js | took 648ms

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: 3 months ago26 days ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.